package net.wanji.opt.entity.eventoptimize;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@TableName("t_event_optimize_info")
public class TEventOptimizeInfo {
    @TableId(value = "event_serial_number") // 设置主键
    @ApiModelProperty(value = "事件序列号作为主键")
    private String eventSerialNumber;

    @TableField("cross_id")
    @ApiModelProperty(value = "路口ID")
    private String crossId;

    @TableField("event_category")
    @ApiModelProperty(value = "事件一级类别 1：机动车事件 2：非机动车事件 3：行人事件 4：路口事件")
    private String eventCategory;

    @TableField("event_type")
    @ApiModelProperty(value = "二级类别")
    private String eventType;

    @TableField("happen_start_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "事件发生开始时间")
    private Date happenStartTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @TableField("happen_end_time")
    @ApiModelProperty(value = "事件发生结束时间")
    private Date happenEndTime;

    @TableField("duration")
    @ApiModelProperty(value = "事件持续时长，单位秒")
    private Integer duration;

    @TableField("opt_status")
    @ApiModelProperty(value = "优化状态 0 未优化 1-优化过 根据上面告警状态如果有2 3状态认为优化过")
    private Integer optStatus;

    @TableField("dir")
    @ApiModelProperty(value = "方向 1北...8西北")
    private String dir;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @TableField("opt_start_time")
    @ApiModelProperty(value = "事件优化开始时间")
    private Date optStartTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @TableField("opt_end_time")
    @ApiModelProperty(value = "事件优化结束时间")
    private Date optEndTime;

    @TableField("opt_duration")
    @ApiModelProperty(value = "优化时长，单位秒")
    private Integer optDuration;

    @TableField("dt")
    @ApiModelProperty(value = "格式：yyyyMMdd")
    private Integer dt;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @TableField("insert_time")
    @ApiModelProperty(value = "数据插入时间")
    private Date insertTime;

    @TableField("green_id")
    @ApiModelProperty(value = "干线ID")
    private Integer greenId;

    /***非数据库字段****/
    //事件类型
    private String eventLabel;

    @TableField(value = "event_labal",exist = false)
    @ApiModelProperty(value = "事件类型")
    private String eventLabal;


}