package net.wanji.opt.entity.eventoptimize;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class TEventOptimizeInfoVO {

    @ApiModelProperty(value = "路口ID")
    private String crossId;

    @ApiModelProperty(value = "二级类别")
    private String eventType;

    @ApiModelProperty(value = "事件类型")
    private String eventLabal;

    @TableField("opt_status")
    @ApiModelProperty(value = "优化状态 0 未优化 1-优化过 根据上面告警状态如果有2 3状态认为优化过")
    private Integer optStatus;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "事件优化开始时间")
    private Date optStartTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "事件优化结束时间")
    private Date optEndTime;

    @ApiModelProperty(value = "优化时长，单位秒")
    private Integer optDuration;

    @ApiModelProperty(value = "干线ID")
    private Integer greenId;

}